Menu icon Foundation
Install Sass Foundation 5.5.3 CLI

I'm trying to create a new project using the latest version of Foundation for Sites 5 (not 6) which I think is 5.5.3. The CLI use to work but now I'm getting error messages I do not understand. Can someone help me get this working again using the current version of Foundation 5? I do not understand command line very well but need Sass. I've been trying to use the documentation provided here for install:

https://foundation.zurb.com/sites/docs/v/5.5.3/sass.html#other

Here's what I typed into the Mac Terminal app and the responses I got.

Jays-iMac-5:~ rts$ ls

Applications Desktop Documents Downloads Dropbox Library Movies Music Pictures Public sitemap.xml

Jays-iMac-5:~ rts$ cd dropbox/websites

Jays-iMac-5:websites rts$ ls

archive cancerpolicy cdn rts sozo supplementrelief

Jays-iMac-5:websites rts$ foundation new alcatfoodtest

-bash: foundation: command not found

Jays-iMac-5:websites rts$ gem install foundation

Fetching: foundation-1.0.4.gem (100%)

ERROR:  While executing gem ... (Gem::FilePermissionError)

    You don't have write permissions for the /Library/Ruby/Gems/2.0.0 directory.

Jays-iMac-5:websites rts$ sudo gem install foundation

Password:

ERROR:  While executing gem ... (Errno::EPERM)

    Operation not permitted - /usr/bin/foundation

Jays-iMac-5:websites rts$ sudo npm install -g bower grunt-cli

npm WARN deprecated bower@1.8.2: ...psst! Your project can stop working at any moment because its dependencies can change. Prevent this by migrating to Yarn: https://bower.io/blog/2017/how-to-migrate-away-from-bower/

/usr/local/bin/bower -> /usr/local/lib/node_modules/bower/bin/bower

/usr/local/bin/grunt -> /usr/local/lib/node_modules/grunt-cli/bin/grunt

/usr/local/lib

├── bower@1.8.2 

└─┬ grunt-cli@1.2.0 

  ├─┬ findup-sync@0.3.0

  │ └─┬ glob@5.0.15

  │   └─┬ minimatch@3.0.4 

  │     └─┬ brace-expansion@1.1.8 

  │       └── balanced-match@1.0.0 

  └─┬ nopt@3.0.6

    └── abbrev@1.1.1 

 

Jays-iMac-5:websites rts$ sudo gem install foundation

ERROR:  While executing gem ... (Errno::EPERM)

    Operation not permitted - /usr/bin/foundation

Jays-iMac-5:websites rts$ foundation new alcatfoodtest

-bash: foundation: command not found

Jays-iMac-5:websites rts$ bower update

Jays-iMac-5:websites rts$ foundation new alcatfoodtest

-bash: foundation: command not found

 

Jays-iMac-5:websites rts$

 

Thank you. 

 

 

 

FoundationinstallSasscli

I'm trying to create a new project using the latest version of Foundation for Sites 5 (not 6) which I think is 5.5.3. The CLI use to work but now I'm getting error messages I do not understand. Can someone help me get this working again using the current version of Foundation 5? I do not understand command line very well but need Sass. I've been trying to use the documentation provided here for install:

https://foundation.zurb.com/sites/docs/v/5.5.3/sass.html#other

Here's what I typed into the Mac Terminal app and the responses I got.

Jays-iMac-5:~ rts$ ls

Applications Desktop Documents Downloads Dropbox Library Movies Music Pictures Public sitemap.xml

Jays-iMac-5:~ rts$ cd dropbox/websites

Jays-iMac-5:websites rts$ ls

archive cancerpolicy cdn rts sozo supplementrelief

Jays-iMac-5:websites rts$ foundation new alcatfoodtest

-bash: foundation: command not found

Jays-iMac-5:websites rts$ gem install foundation

Fetching: foundation-1.0.4.gem (100%)

ERROR:  While executing gem ... (Gem::FilePermissionError)

    You don't have write permissions for the /Library/Ruby/Gems/2.0.0 directory.

Jays-iMac-5:websites rts$ sudo gem install foundation

Password:

ERROR:  While executing gem ... (Errno::EPERM)

    Operation not permitted - /usr/bin/foundation

Jays-iMac-5:websites rts$ sudo npm install -g bower grunt-cli

npm WARN deprecated bower@1.8.2: ...psst! Your project can stop working at any moment because its dependencies can change. Prevent this by migrating to Yarn: https://bower.io/blog/2017/how-to-migrate-away-from-bower/

/usr/local/bin/bower -> /usr/local/lib/node_modules/bower/bin/bower

/usr/local/bin/grunt -> /usr/local/lib/node_modules/grunt-cli/bin/grunt

/usr/local/lib

├── bower@1.8.2 

└─┬ grunt-cli@1.2.0 

  ├─┬ findup-sync@0.3.0

  │ └─┬ glob@5.0.15

  │   └─┬ minimatch@3.0.4 

  │     └─┬ brace-expansion@1.1.8 

  │       └── balanced-match@1.0.0 

  └─┬ nopt@3.0.6

    └── abbrev@1.1.1 

 

Jays-iMac-5:websites rts$ sudo gem install foundation

ERROR:  While executing gem ... (Errno::EPERM)

    Operation not permitted - /usr/bin/foundation

Jays-iMac-5:websites rts$ foundation new alcatfoodtest

-bash: foundation: command not found

Jays-iMac-5:websites rts$ bower update

Jays-iMac-5:websites rts$ foundation new alcatfoodtest

-bash: foundation: command not found

 

Jays-iMac-5:websites rts$

 

Thank you. 

 

 

 

Todd Richards 4 months ago

Why not install version 6?  You can still use the traditional grid and flex grid. 

Do you have the dependencies installed (from under "What You'll Need"?  I am setting up my newly formatted laptop and needed to install npm and node first before I could install the foundation-cli for version 6.

Jay Todtenbier 4 months ago

I have a large code investment into Foundation 5 for our core e-commerce subsystem that would not be profitable to rewrite for 6 since so many things changed that would affect the code. As far as I know all of the required modules are installed for the CLI because the last Version 5 new project I created 3-4 months ago worked with Sass.

Would anyone be willing to do a screenshare and talk me through the error messages I'm getting? I will pay for your time if you can get this working correctly.

Todd Richards 4 months ago

I'm definitely not a command line pro either (just started using SASS in my Foundation projects about 9 months ago). 

Here is a link that that might help (if you haven't seen it already):

https://stackoverflow.com/questions/17550903/why-do-i-get-a-permission-denied-error-while-installing-a-gem

Jay Todtenbier 4 months ago

Thanks for the link. Looked at it but I'm in over my head trying to understand command line problems. I don't want to risk doing something stupid that affects other apps on the computer. Does anyone know if Zurb has a phone number I can call for support? I'm willing to pay for the support. Need to get this project started and we're stuck not able to get any further. 

sondavid905 3 months ago

diwali sms

diwali messages

diwali quotes

happy happy diwali latest pics

charleson143 3 months ago

shareit for pc

shareit for laptop

shareit download

The world's fastest cross-platform file transfer tool for near-field communication. 200 times Bluetooth speed! No USB! No data usage! No internet .......